## rails 6.1.7.3+dfsg

=== debian/changelog ===
rails (2:6.1.7.3+dfsg-7) unstable; urgency=medium

  * Team upload
  * Re-upload to unstable

 -- Cédric Boutillier <boutil@debian.org>  Mon, 27 Jan 2025 15:37:48 +0100

rails (2:6.1.7.3+dfsg-7~exp1) experimental; urgency=medium

  * relax-dependencies.patch: relax rack for actionpack
  * relax rack dependency for ruby-actionpack

 -- Cédric Boutillier <boutil@debian.org>  Sun, 26 Jan 2025 22:58:38 +0100

rails (2:6.1.7.3+dfsg-6) unstable; urgency=medium

  * Team upload
  * Restore rack v2 constraint for ruby-actionpack

 -- Cédric Boutillier <boutil@debian.org>  Wed, 15 Jan 2025 08:41:50 +0100

rails (2:6.1.7.3+dfsg-5) unstable; urgency=medium

  * Team upload
  * d/control: relax version dependency on ruby-rack
  * d/rules: remove noop code where a js file is regenerated before being
    deleted
  * Remove build-dependency on ruby-blade

 -- Cédric Boutillier <boutil@debian.org>  Wed, 15 Jan 2025 08:16:26 +0100

rails (2:6.1.7.3+dfsg-4) unstable; urgency=medium

  * Team upload
  * Relax version dependency on ruby-redis
  * Remove X?-Ruby-Versions fields from d/control

 -- Cédric Boutillier <boutil@debian.org>  Thu, 05 Sep 2024 14:23:41 +0200

rails (2:6.1.7.3+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Use puma 6.x (to match the version in the archive)

 -- Pirate Praveen <praveen@debian.org>  Sun, 04 Feb 2024 01:13:40 +0530

rails (2:6.1.7.3+dfsg-2) unstable; urgency=medium

  * debian/control:
    - Declare that ruby-activerecord breaks and replaces ruby-arel: it was
      merged five years ago, is therefore obsolete and to be removed.
      (Closes: #1038935)

 -- Georg Faerber <georg@debian.org>  Sun, 25 Jun 2023 11:53:59 +0000
