=== debian/rules ===
#!/usr/bin/make -f

export DH_RUBY = --gem-install
export GEM2DEB_TEST_RUNNER = --check-dependencies

%:
	dh $@ --buildsystem=ruby --with ruby

override_dh_auto_build:
	racc -o actionpack/lib/action_dispatch/journey/parser.rb \
		actionpack/lib/action_dispatch/journey/parser.y
	cd actioncable && rake -Ilib assets:codegen && cd -

override_dh_clean:
	dh_clean -X~ -X.bak
	$(RM) -r railties/guides/output
	# kill redis server for tests, don't fail if not started
	debian/stop-redis-server.sh || true

override_dh_auto_install:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	# start redis server for tests (gem2deb runs test during install)
	debian/start-redis-server.sh
endif
	# auto install
	dh_auto_install -O--buildsystem=ruby
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	# kill redis server used for tests
	debian/stop-redis-server.sh
endif
	$(RM) debian/ruby-activesupport/usr/bin/generate_tables
	$(RM) debian/*/usr/bin/test
	rmdir debian/*/usr/bin || true

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_PROFILES)),)
	dh_auto_test
endif
