## rails 6.1.7.10+dfsg

=== debian/changelog ===
rails (2:6.1.7.10+dfsg-1~deb12u1) bookworm-security; urgency=medium

  * New upstream version 6.1.7.10+dfsg.
    (Fixes: CVE-2023-28362, CVE-2023-38037, CVE-2024-26144, CVE-2024-28103,
    CVE-2024-41128, CVE-2024-47887, CVE-2024-47888, CVE-2024-47889)
    (Closes: #1051058, #1051057, 1065119, #1072705, #1085376)
  * Add patch to add CSP directive validation.
    (Fixes: CVE-2024-54133) (Closes: #1089755)

 -- Utkarsh Gupta <utkarsh@debian.org>  Fri, 14 Mar 2025 20:02:55 +0530

rails (2:6.1.7.3+dfsg-2~deb12u1) bookworm; urgency=medium

  * Non-maintainer upload.
  * Rebuild for bookworm.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 17 Jun 2024 15:06:27 +0200
