=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,11 @@
 override_dh_auto_build:
 	racc -o actionpack/lib/action_dispatch/journey/parser.rb \
 		actionpack/lib/action_dispatch/journey/parser.y
+	cd activestorage && rollup -c && cd -
+	cd actionview && coffee -c -t app/assets/javascripts/rails-ujs.coffee && \
+	mv app/assets/javascripts/rails-ujs.coffee . && blade build && \
+	mv rails-ujs.coffee app/assets/javascripts && \
+	rm -f app/assets/javascripts/rails-ujs.js && cd -
 	cd actioncable && rake -Ilib assets:codegen && cd -
 
 override_dh_clean:
