=== debian/tests/control ===
Tests: newapp
Restrictions: allow-stderr
