## rails 7.2.2.1+dfsg

=== debian/changelog ===
rails (2:7.2.2.1+dfsg-7) unstable; urgency=medium

  * Team upload
  * Drop unused (build) dependency on ruby-terser

 -- Pirate Praveen <praveen@debian.org>  Tue, 22 Apr 2025 12:35:07 +0530

rails (2:7.2.2.1+dfsg-6) unstable; urgency=medium

  * Team upload
  * Drop unused ruby-sprokets-rails (build) dependency
    - Switch to ruby-rails-propshaft for newapp autopkgtest

 -- Pirate Praveen <praveen@debian.org>  Tue, 22 Apr 2025 01:54:54 +0530

rails (2:7.2.2.1+dfsg-5) unstable; urgency=medium

  * Team upload
  * Drop (build) dependency on ruby-sass-rails (replaced by dartsass-rails)

 -- Pirate Praveen <praveen@debian.org>  Sun, 20 Apr 2025 15:41:24 +0530

rails (2:7.2.2.1+dfsg-4) unstable; urgency=medium

  * Team upload
  * Drop unused (build) dependency on ruby-chromedriver-helper
    (Closes: #1103428)

 -- Pirate Praveen <praveen@debian.org>  Sat, 19 Apr 2025 22:47:14 +0530

rails (2:7.2.2.1+dfsg-3) unstable; urgency=medium

  * Team upload
  * Drop unused (build) dependency on ruby-image-processing

 -- Pirate Praveen <praveen@debian.org>  Sat, 19 Apr 2025 18:30:48 +0530

rails (2:7.2.2.1+dfsg-2) unstable; urgency=medium

  * Team upload
  * Drop (build) dependency on ruby-webpacker
    (replaced by ruby-{js,css}bundling-rails)
  * Bump Standards-Version to 4.7.2 (no changes needed)

 -- Pirate Praveen <praveen@debian.org>  Fri, 07 Mar 2025 21:16:10 +0530

rails (2:7.2.2.1+dfsg-1) unstable; urgency=medium

  [ Utkarsh Gupta ]
  * Reupload to unstable.
    - Fixes CVE-2023-38037, CVE-2023-28362, CVE-2024-26144, CVE-2024-28103,
      CVE-2024-47889, CVE-2024-47888, CVE-2024-47887, CVE-2024-41128.
    - Closes: #1051057, #1051058, #1065119, #1072705, #1085376.
  * No-change rebuild for unstable.

  [ Antonio Terceiro ]
  * autopkgtest: newapp: adapt to new rails version.

 -- Utkarsh Gupta <utkarsh@debian.org>  Wed, 05 Mar 2025 14:28:20 +0530

rails (2:7.2.2.1+dfsg-1~exp6) experimental; urgency=medium

  * Team upload
  * Add ruby-useragent (>= 0.16~) as ruby-actionpack dependency

 -- Pirate Praveen <praveen@debian.org>  Tue, 11 Feb 2025 14:47:41 +0530

rails (2:7.2.2.1+dfsg-1~exp5) experimental; urgency=medium

  * Add ruby-rackup to railties deps

 -- Sruthi Chandran <srud@debian.org>  Fri, 31 Jan 2025 17:01:52 +0100

rails (2:7.2.2.1+dfsg-1~exp4) experimental; urgency=medium

  * Add ruby-zeitwork to railties deps

 -- Sruthi Chandran <srud@debian.org>  Thu, 30 Jan 2025 17:51:47 +0100

rails (2:7.2.2.1+dfsg-1~exp3) experimental; urgency=medium

  * Add ruby-rack-session to ruby-actionpack deps

 -- Sruthi Chandran <srud@debian.org>  Wed, 29 Jan 2025 22:20:42 +0530

rails (2:7.2.2.1+dfsg-1~exp2) experimental; urgency=medium

  * Fix ruby-rack version

 -- Sruthi Chandran <srud@debian.org>  Wed, 29 Jan 2025 14:58:35 +0530

rails (2:7.2.2.1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream version 7.2.2.1+dfsg
  * Build-depend on ruby-rack-session >= 1.0.1
  * Build-depend on ruby-sprockets >= 4 for rack3 support
  * Build-depend on ruby-useragent
  * Build-depend on ruby-rackup >= 1
  * allow ruby-rack v3 as build-dep
  * Drop build-dependency on ruby-blade and ruby-coffeescript
  * (build)-depend on ruby-rails-html-sanitizer >= 1.6
  * Relax dependency on timeout gem
  * Relax version dependency on irb
  * Restriction on ruby-nokogiri minimal version
  * Don't install RUNNING_UJS_TESTS.rdoc RDOC_MAIN.rdoc as a doc, removed upstream

 -- Cédric Boutillier <boutil@debian.org>  Tue, 28 Jan 2025 12:12:22 +0100

rails (2:6.1.7.3+dfsg-13) unstable; urgency=medium

  * Team upload.
  * Revert the relaxing of ruby-rack's dependency in ruby-actionpack.
    This did not work out as planned since rack-session was added as
    a dependency in actionpack/actionpack.gemspec in v2:6.1.7.3+dfsg-9

 -- Lucas Nussbaum <lucas@debian.org>  Mon, 10 Feb 2025 17:56:50 +0100

rails (2:6.1.7.3+dfsg-12) unstable; urgency=medium

  * Team upload
  * Add Breaks: schleuder (<< 5.0.0-3~) (to help migration to testing)

 -- Pirate Praveen <praveen@debian.org>  Mon, 10 Feb 2025 14:25:38 +0530

rails (2:6.1.7.3+dfsg-11) unstable; urgency=medium

  * Team upload
  * Change ruby-actionpack's dependency on ruby-rack-session to
    "| ruby-rack (<< 3)", as Rack::Session was part of Rack 2. This
    should allow Rack 3 to transition to testing independently of Rails.

 -- Lucas Nussbaum <lucas@debian.org>  Mon, 10 Feb 2025 08:52:20 +0100

rails (2:6.1.7.3+dfsg-10) unstable; urgency=medium

  * Team upload
  * Disable 'rake test' in 'newapp' autopkgtest

 -- Lucas Nussbaum <lucas@debian.org>  Sun, 09 Feb 2025 09:03:15 +0100

rails (2:6.1.7.3+dfsg-9) unstable; urgency=medium

  * Patch actionpack/actionpack.gemspec to depend on rack-session

 -- Sruthi Chandran <srud@debian.org>  Fri, 31 Jan 2025 12:28:22 +0100

rails (2:6.1.7.3+dfsg-8) unstable; urgency=medium

  * Add ruby-rack-rack-session as a Depends for ruby-actionpack.

 -- Utkarsh Gupta <utkarsh@debian.org>  Thu, 30 Jan 2025 14:29:34 +0100
