=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: rails
+Section: ruby
+Priority: optional
 Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Sruthi Chandran <srud@debian.org>,
            Utkarsh Gupta <utkarsh@debian.org>,
-Section: ruby
-Testsuite: autopkgtest-pkg-ruby
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                gem2deb,
 # Node packages
@@ -14,11 +13,10 @@
                node-rollup-plugin-babel (>= 5.2~),
                node-babel7,
                webpack,
-               coffeescript,
 # Ruby packages - implicit dependencies
                ruby-byebug,
 # Ruby packages - from Gemfile
-               puma (>= 5~),
+               puma (>= 6.0~),
 # Dropping due to chromium dependency #976291
 #              qunit-selenium <!nocheck>,
                racc,
@@ -26,17 +24,12 @@
                ruby-bcrypt (<< 3.2),
                ruby-bcrypt (>= 3.1.11),
                ruby-benchmark-ips,
-               ruby-blade,
-               ruby-blade-sauce-labs-plugin,
                ruby-capybara (>= 2.15),
-               ruby-chromedriver-helper,
                ruby-connection-pool,
                ruby-dalli,
                ruby-delayed-job (>= 4.1.9~),
                ruby-delayed-job-active-record (>= 4.1.6~),
                ruby-hiredis,
-               ruby-image-processing (<< 2.0),
-               ruby-image-processing,
                ruby-json (>= 2.0.0),
                ruby-libxml,
                ruby-listen (>= 3.2~),
@@ -45,10 +38,10 @@
                ruby-pg (>= 0.18.0),
                ruby-rack-cache (<< 2.0),
                ruby-rack-cache,
-               ruby-redis (<< 5.0),
+               ruby-rack-session (>= 1.0.1~),
+               ruby-redis (<< 6.0),
                ruby-redis (>= 4.0),
                ruby-redis-namespace,
-               ruby-sass-rails (>= 6.0~),
                ruby-sdoc,
                ruby-selenium-webdriver (>= 4.0.0) <!nocheck>,
                ruby-sequel,
@@ -56,15 +49,13 @@
                ruby-sprockets-export,
                ruby-sqlite3,
                ruby-turbolinks (>= 5.0),
-               ruby-terser,
                ruby-webmock,
-               ruby-webpacker <!nocheck>,
 # Ruby packages - from each gemspecs
                ruby-builder (<< 4.0) <!nocheck>,
                ruby-builder <!nocheck>,
                ruby-bundler <!nocheck>,
                ruby-concurrent (<< 2.0) <!nocheck>,
-               ruby-concurrent (>= 1.0.2) <!nocheck>,
+               ruby-concurrent (>= 1.3.1) <!nocheck>,
                ruby-erubi (<< 2.0) <!nocheck>,
                ruby-erubi <!nocheck>,
                ruby-globalid (>= 0.5.0~),
@@ -77,42 +68,37 @@
                ruby-minitest <!nocheck>,
                ruby-nio4r (<< 3.0) <!nocheck>,
                ruby-nio4r (>= 2.0) <!nocheck>,
-               ruby-nokogiri (>= 1.8.5) <!nocheck>,
-               ruby-rack (<< 3.0) <!nocheck>,
-               ruby-rack (>= 2.0.8) <!nocheck>,
+               ruby-nokogiri (>= 1.16.8~) <!nocheck>,
+               ruby-rack (>= 3~) <!nocheck>,
                ruby-rack-test (>= 0.6.3) <!nocheck>,
+               ruby-rackup (>= 1~),
                ruby-rails-dom-testing (<< 3.0) <!nocheck>,
                ruby-rails-dom-testing (>= 2.0) <!nocheck>,
                ruby-rails-html-sanitizer (<< 2.0) <!nocheck>,
-               ruby-rails-html-sanitizer (>= 1.2~) <!nocheck>,
-               ruby-sprockets-rails (>= 2.3.2~) <!nocheck>,
+               ruby-rails-html-sanitizer (>= 1.6~) <!nocheck>,
+               ruby-sprockets (>= 4~),
                ruby-thor (>= 1.0~) <!nocheck>,
-               ruby-tzinfo (>= 2.0),
+               ruby-tzinfo (>= 2.0.5),
+               ruby-useragent (>= 0.16~),
                ruby-webrick (>= 1.7~) <!nocheck>,
                ruby-websocket-driver <!nocheck>,
                sqlite3 <!nocheck>,
-               ruby-zeitwerk (>= 2.3~) <!nocheck>,
+               ruby-zeitwerk (>= 2.6~) <!nocheck>,
 # For activesupport tests
 # starting and stopping redis don't check nocheck profile
                redis-server,
                procps
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
+Vcs-Git: https://salsa.debian.org/ruby-team/rails.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/rails
-Vcs-Git: https://salsa.debian.org/ruby-team/rails.git
-Homepage: https://rubyonrails.org/
-XS-Ruby-Versions: all
+Homepage: https://rubyonrails.org
+Testsuite: autopkgtest-pkg-ruby
+Rules-Requires-Root: no
 
 Package: ruby-activesupport
 Architecture: all
-Depends: ruby:any (>= 1:2.5.0),
-         ruby-concurrent (<< 2.0),
-         ruby-concurrent (>= 1.0.2),
-         ruby-i18n (>= 1.6~),
-         ruby-minitest (<< 6.0),
-         ruby-minitest,
-         ruby-tzinfo (>= 2.0),
-         ruby-zeitwerk (>= 2.3~),
-         ${misc:Depends}
+Depends: ${misc:Depends},
+         ${ruby:Depends}
 Breaks: gitaly (<= 1.78.0+dfsg-2~),
         ruby-delayed-job (<< 4.1.9~),
         ruby-globalid (<< 0.5.0~)
@@ -122,7 +108,6 @@
  .
  The classes reside in this package so they can be loaded as needed in
  Ruby projects outside of Rails.
-XB-Ruby-Versions: ${ruby:Versions}
 X-DhRuby-Root: activesupport/
 
 Package: ruby-activerecord
@@ -141,14 +126,14 @@
         ruby-joiner (<< 0.6.0~),
         ruby-otr-activerecord (<< 2.0.0~),
         ruby-paranoia (<< 2.4.3~),
-        ruby-sidekiq (<< 6.0~)
+        ruby-sidekiq (<< 6.0~),
+        schleuder (<< 5.0.0-3~)
 Description: object-relational mapper framework (part of Rails)
  Active Records is a framework to work with databases on Rails. Build
  a persistent domain model by mapping database tables to Ruby classes.
  Strong conventions for associations, validations, aggregations,
  migrations, and testing come baked-in.
 Replaces: ruby-arel,
-XB-Ruby-Versions: ${ruby:Versions}
 X-DhRuby-Root: activerecord/
 
 Package: ruby-activemodel
@@ -163,7 +148,6 @@
  Active Record and Active Resource. This includes a rich support for
  attributes, callbacks, validations, observers, serialization,
  internationalization, and testing.
-XB-Ruby-Versions: ${ruby:Versions}
 X-DhRuby-Root: activemodel/
 
 Package: ruby-activejob
@@ -177,7 +161,6 @@
  of queueing backends. These jobs can be everything from regularly scheduled
  clean-ups, to billing charges, to mailings. Anything that can be chopped up
  into small units of work and run in parallel.
-XB-Ruby-Versions: ${ruby:Versions}
 X-DhRuby-Root: activejob/
 
 Package: ruby-actionview
@@ -191,7 +174,7 @@
          ruby-rails-dom-testing (<< 3.0),
          ruby-rails-dom-testing (>= 2.0),
          ruby-rails-html-sanitizer (<< 2.0),
-         ruby-rails-html-sanitizer (>= 1.2~),
+         ruby-rails-html-sanitizer (>= 1.6~),
          ${misc:Depends}
 Breaks: ruby-web-console (<< 4.1~)
 Description: framework for handling view template lookup and rendering (part of Rails)
@@ -200,7 +183,6 @@
  forms, Atom feeds and more. Template formats that Action View handles
  are ERB (embedded Ruby, typically used to inline short Ruby snippets
  inside HTML), and XML Builder.
-XB-Ruby-Versions: ${ruby:Versions}
 X-DhRuby-Root: actionview/
 
 Package: ruby-actionpack
@@ -208,13 +190,14 @@
 Depends: ruby:any (>= 1:2.5.0),
          ruby-actionview (= ${source:Version}),
          ruby-activesupport (= ${source:Version}),
-         ruby-rack (<< 3.0),
-         ruby-rack (>= 2.0.8),
+         ruby-rack (>= 3~),
+         ruby-rack-session (>= 1.0.1),
          ruby-rack-test (>= 0.6.3),
          ruby-rails-dom-testing (<< 3.0),
          ruby-rails-dom-testing (>= 2.0),
          ruby-rails-html-sanitizer (<< 2.0),
-         ruby-rails-html-sanitizer (>= 1.2~),
+         ruby-rails-html-sanitizer (>= 1.6~),
+         ruby-useragent (>= 0.16~),
          ${misc:Depends}
 Breaks: ruby-actionpack-action-caching (<< 1.2.2),
         ruby-actionpack-page-caching (<< 1.2.4),
@@ -223,7 +206,6 @@
  Action Pack is a framework for web apps on Rails. Simple,
  battle-tested conventions for building and testing MVC web
  applications. Works with any Rack-compatible server.
-XB-Ruby-Versions: ${ruby:Versions}
 X-DhRuby-Root: actionpack/
 
 Package: ruby-actionmailbox
@@ -241,7 +223,6 @@
  processing in Rails. It ships with ingresses for Mailgun, Mandrill,
  Postmark, and SendGrid. It provides the way for handling inbound mails
  directly via the built-in Exim, Postfix, and Qmail ingresses.
-XB-Ruby-Versions: ${ruby:Versions}
 X-DhRuby-Root: actionmailbox/
 
 Package: ruby-actionmailer
@@ -260,7 +241,6 @@
  Action Mailer is a framework for working with email on Rails.
  Compose, deliver, and test emails using the familiar controller/view
  pattern. First-class support for multipart email and attachments.
-XB-Ruby-Versions: ${ruby:Versions}
 X-DhRuby-Root: actionmailer/
 
 Package: ruby-actioncable
@@ -280,7 +260,6 @@
  client-side JavaScript framework and a server-side Ruby framework. You have
  access to your full domain model written with Active Record or your ORM of
  choice.
-XB-Ruby-Versions: ${ruby:Versions}
 X-DhRuby-Root: actioncable/
 
 Package: ruby-activestorage
@@ -295,3 +274,22 @@
 Description: local and cloud file storage framework (part of Rails)
  Active Storage makes it simple to upload and reference files in cloud services
  like Amazon S3 and Microsoft Azure Storage, and attach those files to Active
+ Records. Supports having one main service and mirrors in other services for
+ redundancy. It also provides a disk service for testing or local deployments,
+ but the focus is on cloud storage.
+ .
+ Files can be uploaded from the server to the cloud or directly from the client
+ to the cloud.
+ .
+ Image files can furthermore be transformed using on-demand variants for
+ quality, aspect ratio, size, or any other MiniMagick supported transformation.
+X-DhRuby-Root: activestorage/
+
+Package: ruby-actiontext
+Architecture: all
+Depends: ruby:any (>= 1:2.5.0),
+         ruby-actionpack (= ${source:Version}),
+         ruby-activerecord (= ${source:Version}),
+         ruby-activestorage (= ${source:Version}),
+         ruby-activesupport (= ${source:Version}),
+         ruby-nokogiri (>= 1.8.5),
