=== debian/tests/control ===
Tests: newapp
Depends: @, git, ruby-rails-propshaft
Restrictions: allow-stderr
