## rails 7.2.2.2+dfsg

=== debian/changelog ===
rails (2:7.2.2.2+dfsg-2) unstable; urgency=medium

  [ Santiago Vila ]
  * Fixes FTBFS with nocheck (Closes: #1116891)

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 19 Oct 2025 12:49:32 -0300

rails (2:7.2.2.2+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Soren Stoutner ]
  * New upstream release (fixes CVE-2025-24293 and CVE-2025-55193).
  * debian/control:  Remove "Breaks: ruby-actionpack-action-caching (<< 1.2.2)"
    (see https://lists.debian.org/debian-ruby/2025/08/msg00017.html).
  * debian/copyright:
    - Add Soren Stoutner to the debian/* stanza.
    - Add Lucas Nussbaum to the debian/* stanza.
    - Remove the unused GPL license.

  [ Lucas Nussbaum ]
  * Remove unnecessary debian/.gitattributes.
  * debian/gbp.conf:  Make compliant with DEP-14 defaults.
  * debian/salsa-ci.yml:  Change to use the team-specific include.

 -- Soren Stoutner <soren@debian.org>  Mon, 15 Sep 2025 15:28:33 -0700
