=== debian/control ===
--- 
+++ 
@@ -83,7 +83,7 @@
                ruby-webrick (>= 1.7~) <!nocheck>,
                ruby-websocket-driver <!nocheck>,
                sqlite3 <!nocheck>,
-               ruby-zeitwerk (>= 2.6~) <!nocheck>,
+               ruby-zeitwerk (>= 2.6~),
 # For activesupport tests
 # starting and stopping redis don't check nocheck profile
                redis-server,
@@ -199,8 +199,7 @@
          ruby-rails-html-sanitizer (>= 1.6~),
          ruby-useragent (>= 0.16~),
          ${misc:Depends}
-Breaks: ruby-actionpack-action-caching (<< 1.2.2),
-        ruby-actionpack-page-caching (<< 1.2.4),
+Breaks: ruby-actionpack-page-caching (<< 1.2.4),
         ruby-rails-controller-testing (<< 1.0.5-2~)
 Description: web-flow and rendering framework putting the VC in MVC (part of Rails)
  Action Pack is a framework for web apps on Rails. Simple,
@@ -293,3 +292,4 @@
          ruby-activestorage (= ${source:Version}),
          ruby-activesupport (= ${source:Version}),
          ruby-nokogiri (>= 1.8.5),
+         ${misc:Depends}
