=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
+export GEM2DEB_TEST_RUNNER = --check-dependencies
 export DH_RUBY = --gem-install
-export GEM2DEB_TEST_RUNNER = --check-dependencies
 
 %:
 	dh $@ --buildsystem=ruby --with ruby
@@ -9,11 +9,11 @@
 override_dh_auto_build:
 	racc -o actionpack/lib/action_dispatch/journey/parser.rb \
 		actionpack/lib/action_dispatch/journey/parser.y
-	cd activestorage && rollup -c && cd -
-	cd actionview && coffee -c -t app/assets/javascripts/rails-ujs.coffee && \
-	mv app/assets/javascripts/rails-ujs.coffee . && blade build && \
-	mv rails-ujs.coffee app/assets/javascripts && \
-	rm -f app/assets/javascripts/rails-ujs.js && cd -
+	#cd activestorage && rollup -c && cd -
+	#cd actionview && coffee -c -t app/assets/javascripts/rails-ujs.coffee && \
+	#mv app/assets/javascripts/rails-ujs.coffee . && blade build && \
+	#mv rails-ujs.coffee app/assets/javascripts # && \
+	#rm -f app/assets/javascripts/rails-ujs.js && cd -
 	cd actioncable && rake -Ilib assets:codegen && cd -
 
 override_dh_clean:
