## rails 7.2.3+dfsg

=== debian/changelog ===
rails (2:7.2.3+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Remove version constraint on ruby-minitest, ruby-minitest-mock.
  * Add version constraint on ruby-rack 3.2.4.

 -- Simon Quigley <tsimonq2@debian.org>  Tue, 24 Feb 2026 12:39:00 -0600

rails (2:7.2.3+dfsg-2) unstable; urgency=medium

  * Team upload.
  * In railties, fix the line filtering test with minitest 6.

 -- Simon Quigley <tsimonq2@debian.org>  Wed, 18 Feb 2026 08:08:00 -0600

rails (2:7.2.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update Standards-Version to 4.7.3.
  * Remove version constraint on ruby-minitest.
  * Add a build dependency on ruby-minitest-mock, bump ruby-minitest.
  * Drop Rules-Requires-Root field, it is now redundant.

 -- Simon Quigley <tsimonq2@debian.org>  Tue, 17 Feb 2026 18:21:34 -0600
