=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: rails
 Section: ruby
-Priority: optional
 Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Sruthi Chandran <srud@debian.org>,
            Utkarsh Gupta <utkarsh@debian.org>,
@@ -64,12 +63,11 @@
                ruby-marcel (>= 1.0~),
                ruby-mini-mime (>= 1.1~),
                ruby-method-source <!nocheck>,
-               ruby-minitest (<< 6.0) <!nocheck>,
                ruby-minitest <!nocheck>,
                ruby-nio4r (<< 3.0) <!nocheck>,
                ruby-nio4r (>= 2.0) <!nocheck>,
                ruby-nokogiri (>= 1.16.8~) <!nocheck>,
-               ruby-rack (>= 3~) <!nocheck>,
+               ruby-rack (>= 3.2.4) <!nocheck>,
                ruby-rack-test (>= 0.6.3) <!nocheck>,
                ruby-rackup (>= 1~),
                ruby-rails-dom-testing (<< 3.0) <!nocheck>,
@@ -88,12 +86,11 @@
 # starting and stopping redis don't check nocheck profile
                redis-server,
                procps
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/ruby-team/rails.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/rails
 Homepage: https://rubyonrails.org
 Testsuite: autopkgtest-pkg-ruby
-Rules-Requires-Root: no
 
 Package: ruby-activesupport
 Architecture: all
@@ -293,3 +290,5 @@
          ruby-activesupport (= ${source:Version}),
          ruby-nokogiri (>= 1.8.5),
          ${misc:Depends}
+Description: edit and display rich text (part of Rails)
+ Action Text brings rich text content and editing to Rails. It includes
